#!/usr/bin/python3
import random
import string
import sys
import os

if len(sys.argv) != 3:
    print('Call with',sys.argv[0],"<filename> <seed>")
    print('e.g.',sys.argv[0],"data/secret/01-random.in 42")
    exit(1)

fn = sys.argv[1]
seed = sys.argv[2]

random.seed(seed)

with open(fn, 'w', newline='\n') as in_file:
    text = ''.join(random.choices(string.ascii_lowercase, k=4))
    print(text, file=in_file)
    with open(os.path.splitext(fn)[0] + '.ans', 'w', newline='\n') as ans_file:
        print('', file=ans_file)
