#!/usr/bin/env python3
import sys
import string
import itertools

def read():
    line = sys.stdin.readline().strip()
    if line == 'correct':
        sys.exit(0)
    return int(line.split()[0])

def write(s):
    print(s)

word = ''
for c in string.ascii_lowercase:
    write(c*4)
    cnt = read()
    word += cnt * c

for guess in itertools.permutations(word):
    write(''.join(guess))
    read()

sys.exit(1)
