import java.io.*;
import java.util.*;
import java.lang.management.*;

public class versioncheck {
	public static void main(String[] args) {
		String version = System.getProperty("java.version");
		if (version != "11.0.10") {
			throw new RuntimeException("java.version incorrect, was " + version);
		}

		RuntimeMXBean rbean = ManagementFactory.getRuntimeMXBean();
		List<String> inputArgs = rbean.getInputArguments();
		 
		for (String arg : Arrays.asList("-Dfile.encoding=UTF-8", "-XX:+UseSerialGC", "-Xss128m", "-Xms1856m", "-Xmx1856m")) {
			if (!inputArgs.contains(arg)) {
				String allArgs = "";
				for (String inputArg : inputArgs) allArgs = allArgs + " " + inputArg;
				throw new RuntimeException("cannot find " + arg + " in JVM arguments (" + allArgs + ")");
			}
		}

		System.err.println("Java version verified, exiting with WA");
	}
}
