#!/usr/bin/env python3
import sys
import random
import string

tried = set()
for it in range(50):
    while True:
        word = ''.join([ random.choice(string.ascii_lowercase) for _ in range(4) ])
        if word not in tried:
            break
    tried.add(word)
    print(word, flush=True)
    if sys.stdin.readline().strip() == 'correct':
        break

